%define dist .fc6

%define snapdate 20060825
%define snapshot 0%{?snapdate:1}

%define with_libstdc_preview 0

Name:		scim-sinhala
Version:	0.2.0
Release:	2%{?dist}.XOS.1
Summary:	Sri Lankan input method for SCIM

Group:		System Environment/Libraries
License:	GPL
Url:		http://sinhala.sourceforge.net/
Source:		http://sinhala.cvs.sourceforge.net/sinhala/sinhala/scim/trans/%{name}-trans-%{version}%{?snapdate:-%{snapdate}}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if %{snapshot}
Buildrequires:  autoconf, automake, libtool
%endif
BuildRequires:	scim-devel
%if %{with_libstdc_preview}
Buildrequires: libstdc++so7-devel
%endif
Requires:	scim
Patch1:		scim-sinhala-trans-autogen-automake.patch
Patch2:		scim-sinhala-remove-timeout-206253.patch
Patch3:		scim-sinhala-help-text-206114.patch

%description
This package provides a Sinhala Trans input method for SCIM.


%prep
%setup -q %{?snapdate:-n %{name}-trans-%{version}-%{snapdate}}
%patch1 -p1 -b .1-automake17
%patch2 -p1 -b .2-timeout
%patch3 -p1 -b .3-help
%if %{snapshot}
./autogen.sh
%endif


%build
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
%configure --disable-static
%if %{with_libstdc_preview}
# tweak libtool for libstdc++-so7
sed -i -e "s/4.1.0 /4.2.0-`grep datestamp= %{_bindir}/g++-libstdc++-so_7 | sed -e "s/datestamp=//"` /" libtool
%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/*/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, -)
%doc README AUTHORS COPYING
%{_libdir}/scim-1.0/*/IMEngine/sinhala.so
%{_datadir}/scim/icons/scim-sinhala.png


%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 0.2.0-2.fc6.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on scim-sinhala-0.2.0-2.fc6.src.rpm
  (md5sum of original source rpm: 8ada0745d4c2644e16e9b9116e9db61b).
- Include "dist" macro with value ".fc6" to match the original release number.

* Thu Sep 28 2006 Jens Petersen <petersen@redhat.com> - 0.2.0-2
- add scim-sinhala-remove-timeout-206253.patch to remember previous key event
  for longer than a second (#206253)
- add scim-sinhala-help-text-206114.patch to add some keymap help (#206114)

* Mon Aug 28 2006 Jens Petersen <petersen@redhat.com> - 0.2.0-1
- update to scim-sinhala-trans 0.2.0 from new upstream cvs
- no longer uses surrounding text (#200403)
- update url and spec file
- add scim-sinhala-trans-autogen-automake.patch to build with current automake

* Wed Jul 26 2006 Jens Petersen <petersen@redhat.com> - 0.1.0-3
- remove redundant po files

* Wed Jul 26 2006 Jens Petersen <petersen@redhat.com> - 0.1.0-2
- add .so suffix to IME module filename

* Wed Jul 26 2006 Jens Petersen <petersen@redhat.com> - 0.1.0-1
- package for Fedora

* Thu Sep  8 2005 Jens Petersen <petersen@redhat.com> - 0.0.0-0
- initial packaging
